---
updatedAt: 2025-03-25T02:59:54.000Z
agentTools:
  projectIndex: https://mealmeapi.readme.io/llms.txt
---

# Get Orders

Use this API to retrieve orders.

Here's a description of all values the input parameter `status` can take on:

* `unplaced` - an order will take on this status if the input parameter `place_order` is set to `false` when creating the order using the [Create Order API](https://docs.mealme.ai/reference/post_order_v2), and the order is not yet finalized using the [Finalize Order API](https://docs.mealme.ai/reference/post_confirm_order).

* `awaiting_confirmation` - an order will take on this status if the order was created using the [Create Order API](https://docs.mealme.ai/reference/post_order_v2) and the input parameter `place_order` is set to `true`, or if the order was finalized using the [Finalize Order API](https://docs.mealme.ai/reference/post_confirm_order).

* `in_progress` - an order will take on this status after taking on the `awaiting_confirmation` status, once the store has confirmed the order.

* `completed` - an order will take on this status after taking on the `in_progress` status, once the pickup order has been picked up or the delivery order has been delivered.

* `canceled` - an order can take on this status after taking on one of the following statuses: `awaiting_confirmation`, `in_progress`, `completed`. Orders can be canceled due to various reasons, such as the store rejecting the order or the delivery service canceling the order due to unavailable delivery drivers.

# OpenAPI definition

````json
{
  "openapi": "3.0.0",
  "paths": {
    "/account/orders": {
      "get": {
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Orders"
                }
              }
            }
          },
          "400": {
            "description": "Input Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error_-_Input_Validation"
                }
              }
            }
          },
          "401": {
            "description": "Missing Authorization",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error_-_Unauthorized"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Too_Many_Requests"
                }
              }
            }
          }
        },
        "summary": "Get Orders",
        "operationId": "get_account_orders",
        "parameters": [
          {
            "name": "order_id",
            "in": "query",
            "description": "The order_id for the order to fetch, this takes precedence over all filters below",
            "schema": {
              "type": "string",
              "default": "-N03tAvlIinAWhlIYPyj"
            }
          },
          {
            "name": "start_date",
            "in": "query",
            "description": "The start date (MM/DD/YYYY) to fetch orders for, starting from 12:00am UTC, inclusive",
            "schema": {
              "type": "string",
              "default": "03/01/2022"
            }
          },
          {
            "name": "end_date",
            "in": "query",
            "description": "The end date (MM/DD/YYYY) to fetch orders for, ending at 11:59pm UTC, inclusive",
            "schema": {
              "type": "string",
              "default": "03/06/2022"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "The comma-delimited list of statuses filter by. Can include `unplaced`, `awaiting_confirmation`, `in_progress`, `canceled`, or `completed`. For example, `status` can be `awaiting_confirmation,in_progress`",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "favorited",
            "in": "query",
            "description": "Whether to return orders that are favorited or not favorited. Note: unplaced orders that are not favorited will never be returned to prevent overload.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "user_id",
            "in": "query",
            "description": "The user ID to filter by",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "include_order_count",
            "in": "query",
            "description": "Whether to include the total order count `order_count`. This flag will be ignored if `order_id` is provided.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "The page to retrieve of orders to retrieve. Note that each page will include at most 100 orders.",
            "schema": {
              "type": "integer",
              "default": 0
            }
          }
        ],
        "security": [
          {
            "apikey": []
          }
        ],
        "tags": [
          "Account"
        ]
      }
    }
  },
  "info": {
    "title": "The MealMe API",
    "version": "1.0",
    "description": "# Self-Serve API for out-of-the-box checkout from millions of stores for delivery & pickup.\n## About MealMe\n- Download the MealMe app as a live demonstration of what The Food API can power: https://apps.apple.com/us/app/mealme/id1460140965\n- MealMe was started in 2018. The Food API has powered the MealMe app in 2021 to earn millions in sales, ranking as one of the Top 50 Food & Drink apps for the entire year and getting featured as App of The Day.\n## API Features\n### Search the largest selection of restaurants & grocery stores\n- Our search engine includes the majority of grocery stores & restaurants & convenience stores in the US\n- MealMe's Checkout API aggregates the realtime updates of individual webpages for the most up-to-date information, unlike crowdsourced data APIs like Yelp.\n### Browse real-time restaurant menus & grocery inventory\n- Every menu item & grocery product returned includes real-time ordering availability, prices, and even item customizations and modifiers.\n- This means we have a more detailed, more accurate, and more actionable selection of restaurant menus, grocery inventory, and food products than any other food API in the US.\n\n### Get the cheapest & fastest delivery quotes\n- Our delivery selection in the USA includes dozens of third-party delivery services and courier services as well as over 100,000 stores with their own drivers.\n- This means we have cheaper and faster delivery quotes than any other food API in the US.\n### Order anything\n- Right out of the box, our API allows sending an order to 1M+ stores and 100M+ products for pickup or delivery.\n- This means that we have a larger ordering selection than any other API in the US. \n## API Endpoints\n* **`/restaurants`**: The Restaurant API \n     * **`/search`**: The Restaurant Search API \n         * **`/cart`**: The Restaurant Cart Search API \n         * **`/item`**: The Restaurant Menu Item Search API \n         * **`/store`**: The Restaurant Store Search API \n     * **`/details`**: The Restaurant Details API \n         * **`/item`**: The Restaurant Menu Item API \n         * **`/menu`**: The Restaurant Menu API \n         * **`/quotes`**: The Restaurant Delivery & Pickup API \n* **`/groceries`**: The Grocery API \n     * **`/search`**: The Grocery Search API \n         * **`/cart/v2`**: The Grocery Cart Search API \n         * **`/product/v2`**: The Grocery Product Search API \n         * **`/store`**: The Grocery Store Search API \n     * **`/details`**: The Grocery Details API \n         * **`/product`**: The Grocery Product API \n         * **`/products`**: The Grocery Store Inventory API \n         * **`/quotes`**: The Grocery Delivery & Pickup API \n* **`/order`**: The Food Ordering API \n     * **`/add_payment_method`**: The Add Payment Method API \n     * **`/finalize`**: The Delivery and Pickup Ordering API \n     * **`/order`**: The Delivery and Pickup Ordering API \n* **`/courier`**: The Courier Ordering API \n     * **`/cancel`**: The Courier Order Cancel API \n     * **`/order`**: The Last-Mile Ordering API \n     * **`/quote`**: The Courier Quote API \n* **`/account`**: The Client Account Stats API \n     * **`/billing`**: The Client Account Billing API \n         * **`/fees`**: The Client Account Endpoint Fees API \n         * **`/orders`**: The Client Account Completed Orders API \n     * **`/orders`**: The Client Account Orders Listing API \n     * **`/requests`**: The Client Account Endpoint Requests Listing API \n* **`/customer`**: The Customer Service API \n     * **`/service`**: The Customer Service API \n         * **`/exit_chat`**: The Customer Service Chat Exit API \n         * **`/fetch_chat_ids`**: The Customer Service Chat Fetching API \n         * **`/initiate_chat`**: The Customer Service Initiating Chat API \n         * **`/read_messages`**: The Customer Service Read Chat API \n         * **`/send_message`**: The Customer Service Messaging API \n* **`/location`**: The Location Geocoding API \n     * **`/geocode`**: The Address to Coordinates API \n     * **`/reverse_geocode`**: The Coordinates to Address API \n* **`/places`**: The Places API \n     * **`/search`**: The Places Search API \n     * **`/inventory`**: The Places Inventory API \n     * **`/checkout`**: The Places Checkout API \n* **`/utilities`**: The Utilities API \n     * **`/add_store`**: The Adding Store By Google Place ID API \n     * **`/grocery_store_lookup`**: The Grocery Store Lookup API \n     * **`/restaurant_store_lookup`**: The Restaurant Lookup API \n\n## API Tutorial for Python\nWant a tutorial for another language? Reach out to api@mealme.ai!\n\n### 0. Get your API Key \n- **In this sandbox website**: enter your API Key into the green \"Authorize\" lock button on the right \n- **In your code**: pass the API Key into the `id_token` HTTP Header \n\n### 1. Navigate this sandbox\n1. First, choose to focus on the **Groceries API** or **Restaurants API** (`/groceries` or `/restaurants`) \n2. Try out the **Store Search API** (`/search/store`)\n   - At this point, test that your API Key works!\n   - To get started, try the example San Francisco search query by hitting the \"Try it out\" button then the blue \"Execute\" button.\n3. Take a `quote_id` from a store and pass it into the **Quote API** (`/details/quotes`) or **Menu API** (`/details/menu` or `/details/inventory`) \n\n### 2. Integrate the API with one line of code\nOpen terminal and type these commands to set up your environment. Ensure you already have python3 installed.\n```\npip3 install requests\npython3\nimport requests \n```\nYour terminal is now showing a shell to execute python3 commands. Execute the API request command:\n```\nprint(requests.get(f\"https://mealme-4.mealme.ai/restaurants/search/store?query=pizza&latitude=37.7786357&longitude=-122.3918135\", headers={\"Id-Token\": \"API:KEY\"}).json()) \n```\nBe sure you replaced \"API:KEY\" with your actual API Key! You'll see a JSON of pizza stores nearby.\n\n### 3. Run Sample Project\nThe sample code prints out the first available menu at a pizza store nearby. Download the sample project here: https://drive.google.com/file/d/1pk_fIEYr4Qf0coAphm4UZ975dQVYtTKM/view?usp=sharing \n\n## FAQ \n- Why aren't response times always fast?\n    - The sandbox website is slow to load massive JSON responses, especially for the Search API, so use Postman instead for API requests to speed it up by several seconds. In fact, really big responses get the error \"RangeError: Maximum call stack size exceeded.\"\n    - The sandbox server is much, much less performance-optimized than the production servers.\n- Should I request the `/details/item` or `/details/product` API if customizations were returned from the `/details/menu` or `/details/products` API?\n    - No. Do not call the item or product details endpoint if menu or inventory API returns `should_fetch_customizations: false` in its response.\n        - If the menu or products API returns `should_fetch_customizations: false`, then the product customizations are returned in the menu response.\n    - Even if the \"customizations\" key is empty, that's fine. That means there's no customizations for that item.\n- Why does the blue \"Execute\" button sometimes do nothing when I click it?\n    - This means your input data is invalid, such as an invalid JSON for a POST request.\n\n## API Status Codes \nWe get alerted of anything that's not a 200. If it's urgent, do not hesitate to email api@mealme.ai - we will get back to you ASAP! These are the general guidelines for the API status codes. See individual routes for specific status codes. \n\n`200 OK` - Response to a successful request.\n\n`400 Bad Request` - Malformed request; request body validation errors.\n\n`401 Unauthorized` - When no or invalid authentication details are provided.\n\n`403 Forbidden` - When authentication succeeded but authenticated user doesn't have access to the resource.\n\n`404 Not Found` - When a non-existent endpoint is requested.\n\n`406 Unavailable` -  When a delivery or pickup service or store is unavailable right now.\n\n`422 Unprocessable Entity` - The request was well-formed but was unable to be not acceptable.\n\n`500 Server Error` - The server encountered an unexpected condition which prevented it from completing the request.\n\n`501 Not Implemented` - The HTTP method is not supported by the server and cannot be handled.\n\n`502 Bad Gateway` - The server got an invalid response while working as a gateway to get a response needed to handle the request.\n\n`503 Service Unavailable` - The server is not ready to handle the request.\n\n`504 Gateway Timeout` - The server is acting as a gateway and cannot get a response in time for a request.\n\n"
  },
  "tags": [
    {
      "name": "Account",
      "description": "Client Account"
    }
  ],
  "servers": [
    {
      "url": "https://api.mealme.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "apikey": {
        "type": "apiKey",
        "in": "header",
        "name": "Id-Token"
      }
    },
    "schemas": {
      "Metadata": {
        "properties": {
          "*": {
            "type": "string",
            "description": "Any metadata value",
            "example": "ABC123"
          }
        },
        "type": "object"
      },
      "Orders": {
        "required": [
          "orders"
        ],
        "properties": {
          "orders": {
            "type": "array",
            "description": "List of all filtered orders",
            "items": {
              "$ref": "#/components/schemas/Single_Order_History_Output"
            }
          },
          "order_count": {
            "type": "integer",
            "description": "The total order count across all pages."
          }
        },
        "type": "object"
      },
      "Promotion": {
        "required": [
          "code",
          "description",
          "discount_flat",
          "discount_percent",
          "discount_total"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "The promo code applied on the order.",
            "example": "GRUB7OFF"
          },
          "description": {
            "type": "string",
            "description": "The promotion's description.",
            "example": "$7 off first order"
          },
          "discount_flat": {
            "type": "integer",
            "description": "The promotion's flat discounted amount, in cents.",
            "example": 700
          },
          "discount_percent": {
            "type": "integer",
            "description": "The promotion's percent discounted amount, with range [0-100].",
            "example": 10
          },
          "discount_total": {
            "type": "integer",
            "description": "The total discounted amount, in cents. If the order value is $10 with the a 10 percent discount, the discount total would 100 ($1).",
            "example": 100
          }
        },
        "type": "object"
      },
      "Error_-_Unauthorized": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The reason authentication failed.",
            "example": "Incorrect API key"
          }
        },
        "type": "object"
      },
      "Error_-_Input_Validation": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The description of the incorrect input value.",
            "example": "Missing/Invalid required input parameter: <parameter>"
          }
        },
        "type": "object"
      },
      "Scheduled_Time": {
        "required": [
          "delivery_fee",
          "maximum",
          "minimum"
        ],
        "properties": {
          "minimum": {
            "type": "integer",
            "description": "Timestamp (seconds since 1970)"
          },
          "maximum": {
            "type": "integer",
            "description": "Timestamp (seconds since 1970)"
          },
          "delivery_fee": {
            "$ref": "#/components/schemas/Delivery_Fee_Estimate",
            "description": ""
          }
        },
        "type": "object"
      },
      "Delivery_Fee_Estimate": {
        "required": [
          "delivery_fee_flat",
          "delivery_fee_percent"
        ],
        "properties": {
          "delivery_fee_flat": {
            "type": "integer",
            "description": "Delivery fee amount in cents"
          },
          "delivery_fee_percent": {
            "type": "number",
            "description": "Delivery fee percentage"
          },
          "delivery_fee_taxable": {
            "type": "boolean",
            "description": "Whether the delivery fee is taxable or not"
          },
          "threshold_fees": {
            "type": "array",
            "description": "Threshold Fees, if they exist",
            "items": {
              "$ref": "#/components/schemas/Threshold_Fee"
            }
          }
        },
        "type": "object"
      },
      "Threshold_Fee": {
        "required": [
          "threshold_cents",
          "threshold_fee_cents"
        ],
        "properties": {
          "threshold_cents": {
            "type": "integer",
            "description": "Subtotal that enacts a specific fee"
          },
          "threshold_fee_cents": {
            "type": "integer",
            "description": "Flat delivery fee that will be charged for this threshold_cents"
          }
        },
        "type": "object"
      },
      "Too_Many_Requests": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The encountered rate limit description.",
            "example": "10 per 1 second(s)!"
          }
        },
        "type": "object"
      },
      "Cart_Item": {
        "required": [
          "product_id"
        ],
        "properties": {
          "product_id": {
            "type": "string",
            "description": "The product's ID."
          },
          "quantity": {
            "type": "integer",
            "description": "The selected quantity (must be greater than 0). If not provided, a quantity of 1 is selected."
          },
          "product_marked_price": {
            "type": "integer",
            "description": "The self-provided marked price (in cents) to be used in the email receipt."
          },
          "selected_options": {
            "type": "array",
            "description": "The list of selected options for the product.",
            "items": {
              "$ref": "#/components/schemas/Selected_Option"
            }
          },
          "notes": {
            "type": "string",
            "description": "The product notes for the store."
          }
        },
        "type": "object"
      },
      "Selected_Option": {
        "required": [
          "option_id",
          "quantity"
        ],
        "properties": {
          "option_id": {
            "type": "string",
            "description": "Option ID"
          },
          "quantity": {
            "type": "integer",
            "description": "The option quantity (must be greater than 0)"
          },
          "marked_price": {
            "type": "integer",
            "description": "The self-provided option marked price (in cents). This will only affect prices shown in the reciept email sent to the customer."
          }
        },
        "type": "object"
      },
      "Miscellaneous_Fee": {
        "required": [
          "fee_amount",
          "fee_name"
        ],
        "properties": {
          "fee_name": {
            "type": "string",
            "description": "Name of the fee"
          },
          "fee_amount": {
            "type": "integer",
            "description": "The fee amount, in cents"
          },
          "fee_percent": {
            "type": "number",
            "description": "The fee percentage, range [0-100]. Applied to the base amount specified by `fee_base`.",
            "default": 0,
            "example": 10.5
          },
          "fee_base": {
            "type": "string",
            "description": "The base amount to apply `fee_percent` to. `subtotal` applies to order subtotal, `total` applies to order total.",
            "default": "subtotal",
            "example": "subtotal",
            "enum": [
              "subtotal",
              "total"
            ]
          }
        },
        "type": "object"
      },
      "Final_Quote": {
        "required": [
          "added_fees",
          "items",
          "misc_fees",
          "quote",
          "quote_id",
          "store",
          "store_address",
          "store_id",
          "tip",
          "total_with_tip"
        ],
        "properties": {
          "store": {
            "type": "string",
            "description": "The name of the store where the order was placed",
            "example": "Denny's"
          },
          "store_address": {
            "type": "string",
            "description": "The address of the store where the order was placed",
            "example": "816 Mission St, San Francisco, CA, 94103, US"
          },
          "store_id": {
            "type": "string",
            "description": "The MealMe store ID",
            "example": "b6613a4b-f38d-416e-aa54-d8a2fbb4bfb2"
          },
          "quote_id": {
            "type": "string",
            "description": "The MealMe Quote ID",
            "example": "gAAAAABihzvxA4pMVWefTSN3GFOL7b3CYG5yPIRnGUNnEu8oD72y0SiHcDkoloajAINb3pI4Kw6R5qR694t5fCXc8_DnvoB0_BeBlCZ_zJmelaZ4jWfcnF5ySNVt29YYobrl5PMQduRavTxgb5E2IvgZakNNbAzP9rYwyApbdaZ6n_RCwz09IlN2iOoqUlnNVL1WF8dDwqI6-XWMiA3XDI_A-k4QyVPZ0yMZDP_LuRzEnQOYIQ23CCyHHz2imKBP4ySAMNgeIKv0ynYV-a1ZfMC_MjFVyK_OHCds8KmiAM8RHZWt6-wR2m2xqMhKOg8NFWU5gWzYFVL_"
          },
          "quote": {
            "description": "The final quote summary including subtotal, tax, time estimate, quote fees, etc.",
            "allOf": [
              {
                "$ref": "#/components/schemas/Quote_Summary"
              }
            ]
          },
          "items": {
            "type": "array",
            "description": "List of cart items",
            "example": [
              {
                "product_id": "gAAAAABjG7vcneDPtykGbsBcLjJUqW8qqJFctTqQDovWuSkEd9VlTM0dNVVKPLcDAMHXhna_dsa-RJOrXBO82jvvMCDXHYCz3Qwv9qEznaqGB2OXKA-k9cWAQFv1S7epy-C5yCDj7MLlDLl1psRTBRtUcv2PUnaYMMnMvonWGbzQbkGr0_0yjtFNS38EosYy-0-l3_0wLfSzQjSPVQ2Go9FUL4Dw_lvLYMkPHnGnewXnh0HtztKYrMn4lZQppC505ReRYfWxMQkMnqq10EbYMYRGDlEkYCNQX8TFtrNeq3ikYpmctjinfqdhs1-AjapHL6wpkyoRoY6rnKE7dBQjIkn_nIQ1aXmznzKpR5P0Xr9xvp5w2IkCWK8_MhHEenGct1y7n3yGteXzQM4o5Md1yynTwRal7Bq4QoVt-EzyLoW-ZtX8-snYWnDpNLduZLW7j3XCo8EIEBlKUSWkvNl0gbQgyosKgZB573GNQ-rEu3RYvJ_S_Ri62ywBYf_zTexUJtERtIpd6lawr6sty3Wpyq1zhve2zuhsRJ8wj_uorThApJreOXRiOpzyFXTZWxjXz3EklKoqPjUCVllMjVkVQUYkUghVvfr9dO7GWhkqGsRkRHjGxX7coYlI3GaVEQdaIcVrAo2zJBOJt42j5xwgOz0Gw2oupiwQwYtWpUVnYX0JHssDlbmbDON8ddU7YJdGxhC3TOFAGXLIzCPbRifamoEu2np7wbNQ8pDB5tX07lwVQIbrVs0thXYpdGxKk1eKx_c1aKQcf-srjZKHVUvO_4zSRC2FqIpdaYPU0pDDlIovXu6NgoB7CL0=",
                "notes": "No whipped cream."
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Cart_Item"
            }
          },
          "tip": {
            "type": "integer",
            "description": "The total tip amount, in cents",
            "example": 100
          },
          "total_with_tip": {
            "type": "integer",
            "description": "The total order amount including tip, in cents",
            "example": 40
          },
          "added_fees": {
            "description": "The total added fees for the cart, computed using the input `added_fee`passed to [Create Order](https://docs.mealme.ai/reference/post_order_v4) or [](https://docs.mealme.ai/reference/post_courier_order)",
            "example": 200,
            "allOf": [
              {
                "$ref": "#/components/schemas/Added_Fees"
              }
            ]
          },
          "misc_fees": {
            "type": "array",
            "description": "The list of miscellaneous fees applied on the order.",
            "example": [
              {
                "fee_name": "Chef tip",
                "fee_amount": 200
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Miscellaneous_Fee"
            }
          },
          "marked_total_with_tip": {
            "type": "integer",
            "description": "The total order amount including tip, and including any provided marked prices, in cents",
            "example": 50
          }
        },
        "type": "object"
      },
      "Quote_Summary": {
        "required": [
          "delivery_fee_cents",
          "delivery_time_max",
          "delivery_time_min",
          "expected_time_of_arrival",
          "sales_tax_cents",
          "scheduled",
          "service_fee_cents",
          "small_order_fee_cents",
          "subtotal",
          "total_without_tips"
        ],
        "properties": {
          "subtotal": {
            "type": "integer",
            "description": "The subtotal of the cart",
            "example": 1770
          },
          "delivery_fee_cents": {
            "type": "integer",
            "description": "The total delivery fee, in cents",
            "example": 49
          },
          "service_fee_cents": {
            "type": "integer",
            "description": "The total service fee, in cents",
            "example": 667
          },
          "small_order_fee_cents": {
            "type": "integer",
            "description": "The total small order fee, in cents",
            "example": 0
          },
          "sales_tax_cents": {
            "type": "integer",
            "description": "The total sales tax, in cents",
            "example": 142
          },
          "delivery_time_min": {
            "type": "integer",
            "description": "The minimum delivery time estimate, in minutes",
            "example": 25
          },
          "delivery_time_max": {
            "type": "integer",
            "description": "The maximum delivery time estimate, in minutes",
            "example": 40
          },
          "total_without_tips": {
            "type": "integer",
            "description": "The order amount excluding tips, in cents",
            "example": 2628
          },
          "expected_time_of_arrival": {
            "type": "string",
            "description": "The expected time of arrival, in user's timezone",
            "example": "09:20 PM"
          },
          "scheduled": {
            "description": "The scheduled delivery window corresponding to input parameter `scheduled_id` passed to [Create Order](https://docs.mealme.ai/reference/post_order_v4)",
            "allOf": [
              {
                "$ref": "#/components/schemas/Scheduled_Time"
              }
            ]
          },
          "marked_subtotal": {
            "type": "integer",
            "description": "The subtotal of the cart including any provided marked prices, in cents",
            "example": 2000
          },
          "marked_total_without_tips": {
            "type": "integer",
            "description": "The order amount excluding tips, and including any provided marked prices, in cents",
            "example": 2800
          }
        },
        "type": "object"
      },
      "Added_Fees": {
        "required": [
          "flat_fee_cents",
          "is_fee_taxable",
          "percent_fee",
          "sales_tax_cents",
          "total_fee_cents"
        ],
        "properties": {
          "flat_fee_cents": {
            "type": "integer",
            "description": "The API client added flat fee amount, in cents",
            "example": 100
          },
          "percent_fee": {
            "type": "integer",
            "description": "The API client added percent fee amount, in range 1-100",
            "example": 50
          },
          "is_fee_taxable": {
            "type": "boolean",
            "description": "Whether the API client added fee is taxable",
            "example": false
          },
          "total_fee_cents": {
            "type": "integer",
            "description": "The API client total added fee amount, in cents",
            "example": 985
          },
          "sales_tax_cents": {
            "type": "integer",
            "description": "The total sales tax amount charged for the API client added fee, in cents",
            "example": 0
          }
        },
        "type": "object"
      },
      "Single_Order_History_Output": {
        "required": [
          "customer_order_id",
          "driver_tip_cents",
          "eta_timestamp",
          "favorited",
          "is_ready",
          "items",
          "pickup",
          "pickup_tip_cents",
          "realtime_tracking_available",
          "receipt_url",
          "refunded_amount",
          "status",
          "store_confirmed_timestamp",
          "timestamp",
          "total_with_tip",
          "tracking",
          "tracking_link",
          "user_city",
          "user_country",
          "user_email",
          "user_latitude",
          "user_longitude",
          "user_name",
          "user_phone",
          "user_state",
          "user_street_name",
          "user_street_num",
          "user_time_zone",
          "user_zipcode"
        ],
        "properties": {
          "items": {
            "type": "array",
            "description": "List of cart items.",
            "example": [
              {
                "product_id": "gAAAAABjG7vcneDPtykGbsBcLjJUqW8qqJFctTqQDovWuSkEd9VlTM0dNVVKPLcDAMHXhna_dsa-RJOrXBO82jvvMCDXHYCz3Qwv9qEznaqGB2OXKA-k9cWAQFv1S7epy-C5yCDj7MLlDLl1psRTBRtUcv2PUnaYMMnMvonWGbzQbkGr0_0yjtFNS38EosYy-0-l3_0wLfSzQjSPVQ2Go9FUL4Dw_lvLYMkPHnGnewXnh0HtztKYrMn4lZQppC505ReRYfWxMQkMnqq10EbYMYRGDlEkYCNQX8TFtrNeq3ikYpmctjinfqdhs1-AjapHL6wpkyoRoY6rnKE7dBQjIkn_nIQ1aXmznzKpR5P0Xr9xvp5w2IkCWK8_MhHEenGct1y7n3yGteXzQM4o5Md1yynTwRal7Bq4QoVt-EzyLoW-ZtX8-snYWnDpNLduZLW7j3XCo8EIEBlKUSWkvNl0gbQgyosKgZB573GNQ-rEu3RYvJ_S_Ri62ywBYf_zTexUJtERtIpd6lawr6sty3Wpyq1zhve2zuhsRJ8wj_uorThApJreOXRiOpzyFXTZWxjXz3EklKoqPjUCVllMjVkVQUYkUghVvfr9dO7GWhkqGsRkRHjGxX7coYlI3GaVEQdaIcVrAo2zJBOJt42j5xwgOz0Gw2oupiwQwYtWpUVnYX0JHssDlbmbDON8ddU7YJdGxhC3TOFAGXLIzCPbRifamoEu2np7wbNQ8pDB5tX07lwVQIbrVs0thXYpdGxKk1eKx_c1aKQcf-srjZKHVUvO_4zSRC2FqIpdaYPU0pDDlIovXu6NgoB7CL0=",
                "notes": "No whipped cream."
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Cart_Item"
            }
          },
          "pickup": {
            "type": "boolean",
            "description": "`true` for pickup quotes, `false` for delivery quotes.",
            "default": false,
            "example": false
          },
          "driver_tip_cents": {
            "type": "integer",
            "description": "The tip for the driver, in cents.",
            "example": 100
          },
          "pickup_tip_cents": {
            "type": "integer",
            "description": "The tip for the store, in cents.",
            "example": 100
          },
          "user_latitude": {
            "type": "number",
            "description": "The latitude of the user.",
            "example": 37.7786357
          },
          "user_longitude": {
            "type": "number",
            "description": "The longitude of the user.",
            "example": -122.3918135
          },
          "user_street_num": {
            "type": "string",
            "description": "Street number of the user.",
            "example": "188"
          },
          "user_street_name": {
            "type": "string",
            "description": "Street name of the user.",
            "example": "King Street"
          },
          "user_apt_num": {
            "type": "string",
            "description": "Apartment number of the user.",
            "example": ""
          },
          "user_city": {
            "type": "string",
            "description": "City of the user.",
            "example": "San Francisco"
          },
          "user_state": {
            "type": "string",
            "description": "State of the user.",
            "example": "CA"
          },
          "user_zipcode": {
            "type": "string",
            "description": "Zipcode of the user.",
            "example": "94107"
          },
          "user_country": {
            "type": "string",
            "description": "Country of the user.",
            "example": "US"
          },
          "user_time_zone": {
            "type": "string",
            "description": "Time Zone of the user.",
            "example": "America/Los_Angeles"
          },
          "user_dropoff_notes": {
            "type": "string",
            "description": "Dropoff delivery notes for the user. Not required for pickup.",
            "example": "Leave in lobby"
          },
          "user_name": {
            "type": "string",
            "description": "User's name, so the store and/or driver know who to give the food to at dropoff.",
            "example": "Will Said"
          },
          "user_email": {
            "type": "string",
            "description": "User's email, for the order confirmation, updates, and tracking link.",
            "example": "will@mealme.ai"
          },
          "user_phone": {
            "type": "integer",
            "description": "User's phone number, so the store and/or driver know who to call for pickup or delivery.",
            "example": 14044442058
          },
          "tracking_link": {
            "type": "string",
            "description": "Tracking link for the particular order.",
            "example": "https://mealme.cc/tracking?tracking_id=-Mn8_a0-R1ERnHlCQUZp"
          },
          "total_with_tip": {
            "type": "integer",
            "description": "Total with tips.",
            "example": 3380
          },
          "final_quote": {
            "description": "Final validated quote for the given products.",
            "example": {
              "id": "gAAAAABh6hxmfTtGA3vxjN-ZfyO55tnvcrAWVF3tCnWpWuRRcn9PQiE30TvrumkQ01jRJDmtpAGEhXQMEJ8BK_2HAkBB3qzi-K7ScyWikcBKaDWv7qdgO9y1dcV638PTer1ZGIypWDzrO_Q35LmDB5mgby8b1V0T82bFljxyrbjRH48swnM7IBCjEiA6_GC0Aj6PA0IfJ4HqTFY9aEQfI7brM_az3VhLK4IIQ59EWGftEKEpf2-a4R7mvf08M2PEY8MB5Qz8Pjwbvlu926JNvIVpx4Ckj_qJ6CIjbrEMDxqQLTrJFuYGAlU=",
              "store": "Seniore's Pizza",
              "store_address": "456 Haight St, San Francisco, CA, 94117, US",
              "quote": {
                "delivery_fee_cents": 0,
                "time_max": 30,
                "time_min": 20,
                "expected_time_of_arrival": "06:57 PM",
                "sales_tax_cents": 257,
                "service_fee_cents": 0,
                "small_order_fee_cents": 0,
                "subtotal": 3023,
                "total": 3280
              }
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Final_Quote"
              }
            ]
          },
          "eta_timestamp": {
            "type": "number",
            "description": "Expected time of arrival timestamp.",
            "example": 1650578850.31
          },
          "timestamp": {
            "type": "number",
            "description": "Order creation timestamp.",
            "example": 1650578800.31
          },
          "tracking": {
            "description": "Contains map coordinates, driver details, vehicle information.",
            "example": {
              "driver_latitude": 37.778574400295234,
              "driver_longitude": -122.39151731697541,
              "course": 225.5277862548828,
              "last_update_timestamp": 1646722410.22385,
              "completion_timestamp": 1646763375.141831,
              "vehicle_type": "car",
              "driver_name": "Gustavo",
              "driver_phone": 13124719334,
              "driver_photo_url": "https://cdn-img.mealme.ai/347fa4c596569c42e6acb0739b9484fdf6b18501/68747470733a2f2f73332e616d617a6f6e6177732e636f6d2f67682d70726f642d647269766572732d646174612f647269766572732f31623837346135612d373034622d343638622d626139392d3062656436616439656231642e706e67",
              "driver_rating": 0
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Tracking_details_of_the_order."
              }
            ]
          },
          "status": {
            "type": "string",
            "description": "Status of the order.",
            "example": "in_progress"
          },
          "favorited": {
            "type": "boolean",
            "description": "Whether the order is favorited.",
            "default": false,
            "example": false
          },
          "is_ready": {
            "type": "boolean",
            "description": "Whether the order is ready for pickup.",
            "default": false,
            "example": false
          },
          "customer_order_id": {
            "type": "string",
            "description": "The external order ID provided to [Create Order](https://docs.mealme.ai/reference/post_order_v4).",
            "example": "ABC123"
          },
          "realtime_tracking_available": {
            "type": "boolean",
            "description": "Whether realtime tracking is available for this order.",
            "default": false,
            "example": false
          },
          "profit": {
            "type": "integer",
            "description": "The total profit from this order, including any markup and/or additional fees applied, in cents.",
            "example": 1000
          },
          "promotion": {
            "description": "All promotions related info for the order",
            "example": {
              "code": "GRUB7OFF",
              "description": "$7 OFF",
              "discount_flat": 700,
              "discount_percent": 0,
              "discount_total": 700
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Promotion"
              }
            ]
          },
          "receipt_url": {
            "type": "string",
            "description": "The order receipt URl. This will only be available if MealMe processed the payment for the order.",
            "example": "https://pay.stripe.com/receipts/payment/123456789"
          },
          "refunded_amount": {
            "type": "integer",
            "description": "The total amount refunded, in cents.",
            "example": 500
          },
          "store_confirmed_timestamp": {
            "type": "number",
            "description": "The time the store confirmed the order, represented by a unix timestamp.",
            "example": 1650578800.31
          },
          "pickup_instructions": {
            "type": "string",
            "description": "The pickup instructions for pickup orders.",
            "example": "Ask for the pickup order for Steve Jobs."
          },
          "pickup_order_number": {
            "type": "string",
            "description": "The pickup order number. The availability of this property varies across different stores.",
            "example": "3456"
          },
          "metadata": {
            "description": "The set of key-value pairs provided when creating the order with '/order/order`.",
            "example": {
              "Promo Code": "ABC123"
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Metadata"
              }
            ]
          }
        },
        "type": "object"
      },
      "Tracking_details_of_the_order.": {
        "required": [
          "completion_timestamp",
          "course",
          "driver_latitude",
          "driver_longitude",
          "driver_name",
          "driver_phone",
          "driver_photo_url",
          "driver_rating",
          "dropoff_photo_url",
          "last_update_timestamp",
          "vehicle",
          "vehicle_type"
        ],
        "properties": {
          "driver_latitude": {
            "type": "number",
            "description": "The latitude of the driver",
            "example": 37.778574400295234
          },
          "driver_longitude": {
            "type": "number",
            "description": "The longitude of the driver",
            "example": -122.39151731697541
          },
          "course": {
            "type": "number",
            "description": "The course of the driver",
            "example": 225.5277862548828
          },
          "last_update_timestamp": {
            "type": "number",
            "description": "The last time that tracking information was updated",
            "example": 1646722410.22385
          },
          "completion_timestamp": {
            "type": "number",
            "description": "The timestamp of order completion",
            "example": 1646763375.141831
          },
          "vehicle_type": {
            "type": "string",
            "description": "The type of vehicle of the driver",
            "example": "car"
          },
          "driver_name": {
            "type": "string",
            "description": "The name of the driver",
            "example": "Gustavo"
          },
          "driver_phone": {
            "type": "integer",
            "description": "The phone number of the driver",
            "example": 13124719334
          },
          "driver_photo_url": {
            "type": "string",
            "description": "The photo of the driver",
            "example": "https://cdn-img.mealme.ai/347fa4c596569c42e6acb0739b9484fdf6b18501/68747470733a2f2f73332e616d617a6f6e6177732e636f6d2f67682d70726f642d647269766572732d646174612f647269766572732f31623837346135612d373034622d343638622d626139392d3062656436616439656231642e706e67"
          },
          "driver_rating": {
            "type": "integer",
            "description": "The rating of the driver, range [1-5)",
            "example": 5
          },
          "dropoff_photo_url": {
            "type": "string",
            "description": "The dropoff photo provided by the driver",
            "example": "https://cdn-img.mealme.ai/7a58ee7d0dbf011ab4c723d105ae97d601aadccd/68747470733a2f2f636e2d67656f312e756265722e636f6d2f696d6167652d70726f632f726573697a652f656174732f666f726d61743d776562702f77696474683d313038302f6865696768743d302f7175616c6974793d39302f7372636236343d6148523063484d364c793930596e4d746333526864476c6a4c6e56695a584975593239744c334279623251765a6d6c735a5331316347787659575176645842736232466b6379396a62335679615756794c32786c59585a6c4c5746304c575276623349764d6d51325a44466b5a6d55744e445577595330304f57497a4c5749785a574d744e7a55335a544a6a4d5745344e6a67354c6d70775a7a39516232787059336b395a586c4b56475248526a4261567a4673596d3552615539736444644a62457073597a49354d574e74546d784a616d3970595568534d474e4954545a4d65546b775757354e64474d7a556d686b5232787154473557615670595358565a4d6a6c3054444e436557497955585a616257787a576c4d784d574e4865485a5a563146325a46684363324979526d746a65546c71596a4e5765574658566e6c4d4d6e68735756686162457858526a424d56314a32596a4e4a646b317455544a6152455a72576d3156644535455658645a557a41775431644a656b78585358686156303130546e70564d317055536d704e56305530546d706e4e5578746348646165556c7a5357744f646d4a74556e426b52327832596d6c4a4e6d5635536b565a57464a7356456457656d4d78556d395a567a52705432357a615646575a46525061315a33596a4a4f62315a486248526155306b325456526a654535365454524f52466c3454544d784f575a574d546b6d55326c6e626d463064584a6c5057707a5933524364454654593156505a484e4355586c71526e5a4e62444a7351565a754e55317a4e544a6a55544e584d466c524e6a465655326c34626c646e52444e4d4d6c42696444686f5648354c5556427063446b32556c70464d487042536e4e7564476c4f513045345a47567951326845517a4232626a644759336b3262326c494d554e70534467326158566a5758564a6148553064444974536a5a6b5430356c5332644d5a6b464353486b304f574d34636a46764e485a59627a64515256684a534538774e464a51596d677762556f784c584978563151785633424e513246426355743464464e75515852355356677a64453877576e46795a47745951554e4756455935516d3830556c647a576c45334e5538744e314174616b465262574a584e453958656d4a695447557851566779666c64355958593562307856526d354a56587033576b316d64474e7364566b77666b5a7651305255645578724d585a4861554a2b5a46425459575131565331734c57786a6155467a51324a344f544533636a68554e464e51636a52325546466f596e46564f4770725754524959793152564552344c5659314e30563055306f78614664515348356d4f45704462326858576b5179515639664a6b746c6553315159576c794c556c6b505546515330464b4d304a4d565668485531564556454e4c556b7052"
          },
          "vehicle": {
            "type": "string",
            "description": "The driver's vehicle details",
            "example": "Honda Accord"
          }
        },
        "type": "object"
      }
    }
  }
}
````